package com.community.huiju.dao;

import com.community.huiju.model.TaVisitor;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaVisitorMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaVisitor record);

    int insertSelective(TaVisitor record);

    TaVisitor selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaVisitor record);

    int updateByPrimaryKey(TaVisitor record);

    void insertVistorAndLicense();

    List<TaVisitor> findAllVistors(@Param("communityId") Integer communityId, @Param("userId") Integer userId);

}